commit ef71527479bab01da0a8b7b7c6da3320d4bdffbe
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Nov 1 19:32:52 2020 +0100

    Poppler 20.11.0

 CMakeLists.txt         |  4 ++--
 NEWS                   | 22 ++++++++++++++++++++++
 cpp/Doxyfile           |  2 +-
 qt5/src/CMakeLists.txt |  2 +-
 qt5/src/Doxyfile       |  2 +-
 5 files changed, 27 insertions(+), 5 deletions(-)

commit 55a71830ac52ef55c899a1aa6935d935e888e1c7
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Nov 1 18:58:53 2020 +0100

    Fix comment as pointed out by Nelson

 poppler/Page.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3a6c0f66cf3185658782d3001e778de44ebda8e7
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Oct 30 15:44:13 2020 +0100

    Dict: Save 8 bytes of memory

    It's not a lot, but Dict is used relatively often, so won't hurt
    for a 1
    line code change

 poppler/Dict.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit af86c98f5732a65933911a906a4bca633457c8af
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Oct 30 16:04:53 2020 +0100

    CI: Fix qt6 build

 CMakeLists.txt | 1 +
 1 file changed, 1 insertion(+)

commit 1ad3bc825185d6cb0bc922d0dafdc3815558011d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Oct 29 19:46:09 2020 +0100

    CI: Use debian:unstable instead of fedora:31 that has a newer clazy

    clazy is broken in fedora 32 and 33 and i'm tired of complaining

 .gitlab-ci.yml | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit 6d7ed61dfa6a650078446d7a41ab95f2458cfd70
Author: Albert Astals Cid <albert.astals.cid@kdab.com>
Date:   Thu Oct 29 15:53:58 2020 +0100

    const++

 poppler/Annot.cc | 3 ++-
 poppler/Annot.h  | 3 ++-
 2 files changed, 4 insertions(+), 2 deletions(-)

commit b4c83738d82ba0d34b050dc4e4cfec53fe02fcdd
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Oct 29 14:51:00 2020 +0100

    cmake: Enable CMAKE_LINK_DEPENDS_NO_SHARED

    No need to relink libraries just because the .so it depends on
    has been
    rebuilt

 CMakeLists.txt | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 148e5424e6f0deb7680fdc9b25736888089b6b41
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Oct 29 13:47:13 2020 +0100

    clang: Warn about weak-vtables

 CMakeLists.txt                    |  1 +
 cmake/modules/PopplerMacros.cmake |  1 +
 glib/poppler-document.cc          |  4 ++++
 poppler/Annot.cc                  |  4 ++++
 poppler/Annot.h                   |  3 ++-
 poppler/CachedFile.cc             |  4 +++-
 poppler/CachedFile.h              |  4 ++--
 poppler/CairoOutputDev.cc         |  5 ++++-
 poppler/JBIG2Stream.cc            |  6 ++++--
 poppler/Link.cc                   |  2 ++
 poppler/Link.h                    |  1 +
 poppler/PDFDocBuilder.cc          | 13 +++++++++++++
 poppler/PDFDocBuilder.h           |  4 ++--
 poppler/SplashOutputDev.cc        |  4 +++-
 poppler/Stream.cc                 | 10 ++++++++++
 poppler/Stream.h                  |  4 ++--
 poppler/TextOutputDev.cc          |  4 +++-
 poppler/XRef.cc                   |  2 ++
 poppler/XRef.h                    |  2 +-
 qt5/src/poppler-annotation.cc     | 14 ++++++++------
 qt5/src/poppler-link-private.h    |  6 ++++--
 qt5/src/poppler-link.cc           | 24 +++++++++++++++++++++++-
 qt5/src/poppler-page.cc           |  7 +++++++
 qt5/src/poppler-pdf-converter.cc  |  5 ++++-
 qt5/src/poppler-ps-converter.cc   |  5 ++++-
 qt6/src/poppler-annotation.cc     | 12 +++++++-----
 qt6/src/poppler-link-private.h    |  6 ++++--
 qt6/src/poppler-link.cc           | 29 ++++++++++++++++++++++++++++-
 qt6/src/poppler-page.cc           |  7 +++++++
 qt6/src/poppler-pdf-converter.cc  |  5 ++++-
 qt6/src/poppler-ps-converter.cc   |  5 ++++-
 splash/SplashPattern.cc           |  7 +++++++
 splash/SplashPattern.h            |  2 ++
 utils/pdftohtml.cc                |  7 +++++--
 34 files changed, 182 insertions(+), 37 deletions(-)

commit 9625dfa3c22dcb9075e062912cdf8c60b379d7d8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Oct 29 14:29:11 2020 +0100

    qt6: properly namespace enums to use the correct ones

 qt6/src/poppler-annotation.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 1635cbced1c8fcf9a933324908502e7e45429ace
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Oct 29 14:22:11 2020 +0100

    stress-threads-qt6: Remove unused seed

 qt6/tests/stress-threads-qt6.cpp | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 2706eca3ad3af99fa6551b9d6fcdc69eb0a0aa4e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Oct 28 22:30:00 2020 +0100

    More work on rendering of standalone Annot Widgets

    Issue #806

 poppler/Annot.cc | 5 +++--
 poppler/Annot.h  | 2 ++
 poppler/Page.cc  | 4 +++-
 3 files changed, 8 insertions(+), 3 deletions(-)

commit 09b30131df866b5d697ca10a84d5ce060714f8e5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Oct 26 22:31:05 2020 +0100

    Update (C)

 utils/HtmlFonts.cc     | 1 +
 utils/HtmlFonts.h      | 1 +
 utils/HtmlOutputDev.cc | 1 +
 3 files changed, 3 insertions(+)

commit 47550058463d181096770624aad811ae4eaf2688
Author: Eddie Kohler <ekohler@gmail.com>
Date:   Mon Oct 26 14:06:03 2020 -0400

    HTML and XML output includes opacity.

    In HTML output, the opacity attribute is added to CSS. In XML output,
    opacity is a separate XML attribute on <fontspec>.

 utils/HtmlFonts.cc     | 20 +++++++++++++++-----
 utils/HtmlFonts.h      | 12 ++++++++----
 utils/HtmlOutputDev.cc |  2 +-
 3 files changed, 24 insertions(+), 10 deletions(-)

commit 3e761a5035d5cdbcb861b3ad126942099d075d0e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Oct 21 00:48:26 2020 +0200

    Update (C)

 qt5/demos/viewer.cpp        | 1 +
 qt6/demos/viewer.cpp        | 1 +
 qt6/src/poppler-document.cc | 2 +-
 3 files changed, 3 insertions(+), 1 deletion(-)

commit 99346560791c935f74d77405dd35bef0f5823d1b
Author: Oliver Sander <oliver.sander@tu-dresden.de>
Date:   Fri Oct 16 23:01:42 2020 +0200

    Rename ArthurOutputDev to QPainterOutputDev

    The Qt rendering system hasn't been called 'Arthur' for a long time,
    let's adapt the code to that.

    For backward compatibility, the ArthurBackend enum value remains
    in the files poppler-qt5.h and poppler-qt6.h.  These shouldn't be
    used anymore.

 qt5/demos/viewer.cpp                               |   2 +-
 qt5/src/CMakeLists.txt                             |   2 +-
 .../{ArthurOutputDev.cc => QPainterOutputDev.cc}   | 102
 ++++++++++-----------
 .../src/QPainterOutputDev.h                        |  26 +++---
 qt5/src/poppler-document.cc                        |   7 +-
 qt5/src/poppler-page.cc                            |  34 +++----
 qt5/src/poppler-qt5.h                              |   7 +-
 qt5/tests/check_stroke_opacity.cpp                 |   2 +-
 qt5/tests/test-poppler-qt5.cpp                     |  20 ++--
 qt5/tests/test-render-to-file.cpp                  |  10 +-
 qt6/demos/viewer.cpp                               |   2 +-
 qt6/src/CMakeLists.txt                             |   2 +-
 .../{ArthurOutputDev.cc => QPainterOutputDev.cc}   | 102
 ++++++++++-----------
 .../src/QPainterOutputDev.h                        |  26 +++---
 qt6/src/poppler-document.cc                        |   4 +-
 qt6/src/poppler-page.cc                            |  34 +++----
 qt6/src/poppler-qt6.h                              |   6 +-
 qt6/tests/check_stroke_opacity.cpp                 |   2 +-
 qt6/tests/test-poppler-qt6.cpp                     |  20 ++--
 qt6/tests/test-render-to-file.cpp                  |  10 +-
 20 files changed, 211 insertions(+), 209 deletions(-)

commit 2a7b8555c043c50bfb56b7c361d211fd564a74b8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Oct 19 19:29:44 2020 +0200

    Update (C)

 qt6/demos/pageview.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 613c9ce5f503cdbd5f6a3daccbc26f3e5a162f59
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Oct 19 17:38:16 2020 +0200

    qt6: fix compile with newer qt6 code

 qt6/demos/pageview.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8d0765e957f456725c39435d4ad395ad2f2518b4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Oct 18 19:46:20 2020 +0200

    Switch the order of the checks to check for overflow first

    oss-fuzz/26481

 fofi/FoFiBase.cc | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 2fd2acd7f0e5710b8e7b1138b519549e7f3d6750
Author: Kyle Auble <kyle.auble@outlook.com>
Date:   Fri Oct 16 17:18:42 2020 -0400

    cmake: Deduplicate _list_prefix macro

    The macro is only used after an identical version (_gir_list_prefix)
    is included with GObjectIntrospectionMacros.

 glib/CMakeLists.txt | 14 +++-----------
 1 file changed, 3 insertions(+), 11 deletions(-)

commit 8b7dec2843999f8c3d77d921bd58688fbf4ff313
Author: Kyle Auble <kyle.auble@outlook.com>
Date:   Sat Oct 10 16:51:12 2020 -0400

    cmake: Finish making FindGTK more robust

    * Add CMake guards to fix #831 and close !605
    * Move pkg-config calls to FindGTK & parameterize GTK versions

 CMakeLists.txt              |  2 ++
 cmake/modules/FindGTK.cmake |  6 +++++-
 glib/demo/CMakeLists.txt    |  9 ++++++---
 glib/tests/CMakeLists.txt   | 12 ++++++++----
 4 files changed, 21 insertions(+), 8 deletions(-)

commit ec878dc540ce84aa010240d4795e2be2c3cc9caf
Author: John Hein <cthfzvb62g@liamekaens.com>
Date:   Mon Aug 3 18:56:20 2020 -0600

    cmake: Fix linker error when gtk is not in a default location

    Fix the following error when libgtk-3 (et. al.) is not installed in
    a directory that is not a linker default location:
    /usr/bin/ld: cannot find -lgtk-3

    This change leverages pkg-config to add -L paths as well as the list
    of gtk3 libraries (-lgtk-3, etc.)

    Signed-off-by: Kyle Auble <kyle.auble@outlook.com>

 glib/demo/CMakeLists.txt  | 4 +++-
 glib/tests/CMakeLists.txt | 7 +++++--
 2 files changed, 8 insertions(+), 3 deletions(-)

commit c67bd3fafe0cff41855b4a2fdf7a3eb98a05ea3e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Oct 15 14:18:56 2020 +0200

    Fix uninitialized memory read on broken files

    oss-fuzz/26264

 poppler/SecurityHandler.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3d9dab78f7aacf3ad7e0946b3dc60101722df93e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Oct 7 23:50:42 2020 +0200

    FileSpec::getEmbeddedFile: Check fileSpec is a dict before calling
    getDict

    Fixes #967

 poppler/FileSpec.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d4be954367cb1ff6f372b74bbd8f186238ec86fc
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Oct 7 00:08:44 2020 +0200

    cpp: Fix crashes in embedded file handling on broken files

    Fixes #966

 cpp/poppler-embedded-file.cpp | 20 +++++++++++++-------
 1 file changed, 13 insertions(+), 7 deletions(-)

commit 4fee2408dad1a2e872810eadec89cb07dc982312
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Oct 6 01:08:16 2020 +0200

    CI: qt6 try to account for the everchanging urls

 .gitlab-ci.yml | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 6487612a84b4152c82aa4334a3ef2f1aa4dc7f6f
Author: Kyle Auble <kyle.auble@outlook.com>
Date:   Sun Oct 4 16:38:59 2020 +0000

    cmake: Remove python libraries check

    * FindPythonLibs is for C/C++ bindings, not typical python modules
    * Also make comments & messages clearer

 CMakeLists.txt | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

commit 1ddb6aeff646e2df7b663c0186d4f9bc9859daba
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Oct 4 11:46:45 2020 +0200

    CI: Update qt6 url

 .gitlab-ci.yml | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 061bae27a04684bdb0a1b4a6c3a8adf7fddcb7db
Author: Kyle Auble <kyle.auble@outlook.com>
Date:   Fri Oct 2 23:41:09 2020 +0000

    cmake: Raise error level of missing gtk-doc deps

 CMakeLists.txt | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit 327a7ce092397bc2ddb8a35eca52ab2b3f3bb858
Author: Kyle Auble <kyle.auble@outlook.com>
Date:   Fri Sep 4 15:07:36 2020 -0400

    cmake: Reorganize GObject introspection config

    * Fixes #958, separating scanner args enables warnings

 glib/CMakeLists.txt | 38 +++++++++++++++++++++++---------------
 1 file changed, 23 insertions(+), 15 deletions(-)

commit ff2130725ce43604323931cf8a365dad9ba93036
Author: Kyle Auble <kyle.auble@outlook.com>
Date:   Sun Sep 6 20:03:16 2020 -0400

    cmake: Add some checks for gtk-doc support

    * Fixes #956 (at least on Poppler's end)
    * Explicitly check for gtk-doc package also

 CMakeLists.txt | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

commit c5d85017f5cbc6487327d3de73fbab1c64b6af50
Author: Kyle Auble <kyle.auble@outlook.com>
Date:   Fri Sep 4 18:32:06 2020 -0400

    cmake: Note built-in Find<...> modules for later

    * See #955 for details
    * FindGLIB: Also fix minor case-sensitivity warning

 cmake/modules/FindFontconfig.cmake | 2 ++
 cmake/modules/FindGLIB.cmake       | 2 +-
 cmake/modules/FindGTK.cmake        | 2 ++
 cmake/modules/FindIconv.cmake      | 4 ++++
 4 files changed, 9 insertions(+), 1 deletion(-)

commit d288ac9675684fe6fd0e8536a2255b8d341a8ad5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Oct 1 21:44:58 2020 +0200

    Poppler 20.10.0

 CMakeLists.txt   | 4 ++--
 NEWS             | 9 +++++++++
 cpp/Doxyfile     | 2 +-
 qt5/src/Doxyfile | 2 +-
 4 files changed, 13 insertions(+), 4 deletions(-)

commit 386555257158e1d170151b40dcea6bc90111e62f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Oct 1 10:35:10 2020 +0200

    CI: qt6: new tarballs

 .gitlab-ci.yml | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit cfeb9525f0f9e4124de4b3d67de2f4667095366f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Sep 25 01:21:53 2020 +0200

    Fix undefined behaviour null pointer passed as argument 2, which is
    declared to never be null

    Fixes issue #962

 poppler/Decrypt.cc | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

commit 2a3368e9c3c8b9a0031faef15041a8ca81f6710a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Sep 25 01:17:24 2020 +0200

    Fix undefined behaviour applying non-zero offset 1 to null pointer

    Fixes issue #963

 poppler/GfxFont.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 613d5f2a7b18e332896ea7829166ce9ce3234ab4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Sep 25 01:36:41 2020 +0200

    CI: Update qt6

 .gitlab-ci.yml | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 636d12b0f403d462af3652e4ebfd62d9fc7c58a8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Sep 18 01:26:40 2020 +0200

    Fix compilation with new Qt6 snaptshot

 qt6/demos/viewer.cpp | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 8fd2a2781e3aaf798a4c28f450d778b57ae2b0b8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Sep 18 00:54:36 2020 +0200

    CI: Update qt6 url again

 .gitlab-ci.yml | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit eb7940e737633c17696aec78ecad92048d6163e5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Sep 16 00:04:01 2020 +0200

    Filter out repeated forms

    Some files like the one from KDE bug 426467 has the same signature
    repeated 23 times in the Fields field, just return it one

 poppler/Form.cc | 6 ++++++
 1 file changed, 6 insertions(+)

commit 56cf80b2c53fa61d29b4718df092248a062c61e0
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Sep 14 22:56:15 2020 +0200

    Update (C)

 poppler/Stream.cc | 2 +-
 poppler/Stream.h  | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 12303bbdcc0cc72c6ff641140856f2c1f51041b8
Author: William Bader <william@newspapersystems.com>
Date:   Sun Sep 13 05:22:19 2020 +0100

    Improve EmbedStream::reset error checking.

 poppler/Stream.cc | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit e2ecddf3fc1f93a68b0ae535813f8b0d5ec672b5
Author: William Bader <william@newspapersystems.com>
Date:   Sun Sep 13 04:52:45 2020 +0100

    Implement EmbedStream::reset() to fix pdftops -level1sep
    -optimizecolorspace for in-line images.

 poppler/Stream.cc | 17 ++++++++++++++++-
 poppler/Stream.h  |  3 ++-
 2 files changed, 18 insertions(+), 2 deletions(-)

commit 91d95545b48d3aec6220d943177b571466f9a116
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 8 13:04:51 2020 +0200

    CI: update qt6 links

 .gitlab-ci.yml | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit bb4d6c963e885aac34a1266bdb9d8371e80b3b27
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Sep 5 22:02:00 2020 +0200

    Update (C)

 splash/SplashPath.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c47713528f770ac89c90d662aae72c7e48c9497b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Sep 5 21:26:37 2020 +0200

    addStrokeAdjustHint(): fix crash in out-of-memory situation.

    Fixes https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=25411

        #0 0xf7ef8f19 in [vdso]
        #1 0xf7ccdd08 in gsignal (/lib32/libc.so.6+0x2bd08)
        #2 0xf7ccf206 in abort (/lib32/libc.so.6+0x2d206)
        #3 0xbdb9c2e in grealloc(void*, unsigned int, bool)
        gdal/poppler/goo/gmem.h:85:5
        #4 0xbdd9e11 in greallocn(void*, int, int, bool, bool)
        gdal/poppler/goo/gmem.h:171:12
        #5 0xc012373 in SplashPath::addStrokeAdjustHint(int, int, int,
        int) gdal/poppler/splash/SplashPath.cc:211:35
        #6 0xbfd156f in Splash::makeStrokePath(SplashPath*, double,
        bool) gdal/poppler/splash/Splash.cc:5987:34
        #7 0xbfcaec2 in Splash::strokeWide(SplashPath*, double)
        gdal/poppler/splash/Splash.cc:2028:13
        #8 0xbfc8a4d in Splash::stroke(SplashPath*)
        /src/gdal/poppler/splash/Splash.cc

    Based on patch by Even Rouault

 splash/Splash.cc     |  4 +++-
 splash/SplashPath.cc | 10 ++++++++--
 2 files changed, 11 insertions(+), 3 deletions(-)

commit 92ebc6416ccce249a28fafda8123fe86c8aa6311
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Sep 4 00:21:36 2020 +0200

    Update (C)

 poppler/CairoFontEngine.cc | 1 +
 splash/Splash.h            | 1 +
 2 files changed, 2 insertions(+)

commit 6e07b84aa54d79b25d9dc882bc9f4a0479b16832
Author: Tobias Deiminger <haxtibal@posteo.de>
Date:   Wed Sep 2 18:01:08 2020 +0200

    Splash: Rename Yd to Ydown, Xu to Xup, etc.

    Minor gift to new contributors. Makes methods intention more obvious.

 splash/Splash.cc | 50 +++++++++++++++++++++++++-------------------------
 splash/Splash.h  | 18 +++++++++---------
 2 files changed, 34 insertions(+), 34 deletions(-)

commit e79cbe0adcf7d1a0dbfc4a77a096d2fbab327f39
Author: Michal <sudolskym@gmail.com>
Date:   Wed Sep 2 17:18:06 2020 +0000

    evict just font faces owned solely by cache

    These are font faces with reference count 1. Their scaled fonts
    were already evicted from cairo holdover cache. This should be more
    functionally equivalent to old behaviour except that eviction is
    done lazily and not eagerly.

 poppler/CairoFontEngine.cc | 40 +++++++++++++++++++++-------------------
 1 file changed, 21 insertions(+), 19 deletions(-)

commit 2dbd1e0ac8102ec12eb6026df6708ef7c38fc05d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 1 22:53:33 2020 +0200

    poppler 20.09.0

 CMakeLists.txt      |  2 +-
 NEWS                | 31 +++++++++++++++++++++++++++++++
 cpp/Doxyfile        |  2 +-
 glib/CMakeLists.txt |  2 +-
 qt5/src/Doxyfile    |  2 +-
 5 files changed, 35 insertions(+), 4 deletions(-)

commit b82d0e17fb8d26f87a51d79046364d141187bd61
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Sep 1 22:45:32 2020 +0200

    Fix memory leak introduced in 9e853438c5e9d56c07141220f2b30d7215ee9278

    Thankfully coverity caught it before the release :)

 poppler/JBIG2Stream.cc | 1 +
 1 file changed, 1 insertion(+)

commit ee0bd54496376c18f25d1c863f583598d3ee2632
Author: Martin Packman <martin.packman@visual-meaning.com>
Date:   Sun Aug 30 22:37:48 2020 +0100

    Add gitlab checkbox point to contributors doc

    As mentioned by @aacid in merge request comments.

    Also through general note about helpful title and descriptions.

 README.contributors | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit e5e63c5b65099392e95bedc0051bfe849c7b0d85
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 30 18:37:37 2020 +0200

    Update (C)

 splash/Splash.cc | 1 +
 1 file changed, 1 insertion(+)

commit 6a7dae795d3a08497db4a680d6d15ae10df0c681
Author: Tobias Deimigner <haxtibal@posteo.de>
Date:   Fri Aug 28 19:41:18 2020 +0200

    Splash bilinear scaling: Don't try read behind end

    Source line iteration in Splash::scaleImageYuXuBilinear already tries
    to prevent a read behind source image end, as the comment indicates it
    and as it's conceptually reasonable. But the check for (currentSrcRow
    < srcHeight)
    is wrong and doesn't do what it claims.

    currentSrcRow will only ever increase to srcHeight - 1 after
    scaledHeight iterations. Therefore the check always evaluates to
    true, and src() is aways called. Intention was to prevented the line
    fetch for the last run and leave line2 identical to line1 (the
    "extra padding").

    Nothing bad happened, because SplashOutputDev::imageSrc and
    alphaImageSrc
    gracefully handle the behind-end read. Should be corrected either.

 splash/Splash.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 78e6050a89d37a9d708eef92e15494d64d1a62c0
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Aug 29 12:07:50 2020 +0200

    CI: Update qt6 archives

 .gitlab-ci.yml | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit a9fc7f0bcdcece62eda698016064a5f9e3acea24
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Aug 29 12:30:34 2020 +0200

    qt6: workaround QTBUG-86318

 qt6/tests/stress-threads-qt6.cpp | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

commit 418a9373616c14e67a1f9792d4039e62c3f8feb9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Aug 29 12:12:41 2020 +0200

    qt6: Remove unused include

 qt6/src/poppler-annotation.cc | 1 -
 1 file changed, 1 deletion(-)

commit 155d7201def1e2b337e408e0c86edf9e5093853a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Aug 27 22:03:05 2020 +0200

    Update (C)

 poppler/TextOutputDev.cc | 2 +-
 poppler/TextOutputDev.h  | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 375809c897a66f42880b9ed522df3cb6bad6c305
Author: Nelson Benítez León <nbenitezl@gmail.com>
Date:   Wed Aug 26 14:18:48 2020 -0400

    TextSelectionPainter: support glyphless fonts

    in text selections, by:

     - Ignoring to draw characters with it.
     - Painting the selection's background as transparent.

    Fixes issue #157

    Based on inital work by Nelson Benitez and changed
    to be not tesseract specific by Julian Andres Klode.

 poppler/TextOutputDev.cc | 35 ++++++++++++++++++++++++++++++-----
 poppler/TextOutputDev.h  |  1 +
 2 files changed, 31 insertions(+), 5 deletions(-)

commit 55eb5c73e5fb609ba56dee28f74e53b2be28fbb7
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Aug 26 22:37:31 2020 +0200

    BaseMemStream::getChars: If we're past the end do nothing

 poppler/Stream.h | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit c09f01b1be772b39b3d160ebdd6d09eac06e375d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Aug 25 23:13:32 2020 +0200

    Update (C)

 qt5/src/poppler-private.cc | 2 +-
 qt6/src/poppler-private.cc | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 2b8692a5a52a8cd997e70f7912ad7cedeb34891b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Aug 25 23:05:51 2020 +0200

    qt: Clean as many null characters from the end as possible

    Not only one

    Fixes KDE bug #425791

 qt5/src/poppler-private.cc  | 4 ++--
 qt5/tests/check_strings.cpp | 9 +++++++++
 qt6/src/poppler-private.cc  | 4 ++--
 qt6/tests/check_strings.cpp | 9 +++++++++
 4 files changed, 22 insertions(+), 4 deletions(-)

commit 4febe9d3ba3359005098b134e5bbe2ec434c87fd
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Aug 18 22:51:22 2020 +0200

    qt5: Be a bit more stubborn converting dates that come from xml

 qt5/src/poppler-annotation.cc | 18 ++++++++++++++----
 1 file changed, 14 insertions(+), 4 deletions(-)

commit 3023066f19509a8e5ced403d5afc804c4d6af238
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Aug 18 22:38:43 2020 +0200

    qt5/6: Make Annotation::setModification/CreationDate work on
    existing annots

    With an autotest

    and bonus memory leak fixes for existing tests

 qt5/src/poppler-annotation.cc   | 37 ++++++++++----------
 qt5/tests/check_annotations.cpp | 75
 +++++++++++++++++++++++++++++++++++++++++
 qt6/src/poppler-annotation.cc   | 37 ++++++++++----------
 qt6/tests/check_annotations.cpp | 75
 +++++++++++++++++++++++++++++++++++++++++
 4 files changed, 190 insertions(+), 34 deletions(-)

commit 7064bb38e918edd71d72cba5544b3f3ed73253cf
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Aug 18 21:50:18 2020 +0200

    Fix clearing date in Annot setModified/setDate

    nullptr means nullptr not null string

 poppler/Annot.cc | 22 ++++++++++++----------
 1 file changed, 12 insertions(+), 10 deletions(-)

commit e10b0a88bc8182710fd98a919740e349426386f4
Author: Albert Astals Cid <tsdgeos@yahoo.es>
Date:   Sat Aug 22 21:55:10 2020 +0000

    qt: MSVC test fixes

 qt5/tests/check_search.cpp         | 68
 +++++++++++++++++++-------------------
 qt5/tests/check_utf_conversion.cpp |  2 +-
 2 files changed, 35 insertions(+), 35 deletions(-)

commit 307d6db4247e3b934b5d26059fcd217517c4a187
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Aug 22 20:01:09 2020 +0200

    Gfx::opSetExtGState: Fix memory leak on broken files

    While at it move definitions of i and funcs down where used,
    also remove
    the abuse of funcs[0] in one place and just declare a Function for it

 poppler/Gfx.cc | 40 ++++++++++++++++++++++------------------
 1 file changed, 22 insertions(+), 18 deletions(-)

commit cad2f028601d8d54277ce8a7876fad3250da0d45
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 21 22:20:12 2020 +0200

    Update (C)

 poppler/GlobalParams.cc | 1 +
 1 file changed, 1 insertion(+)

commit dccd9dbc25560681f0b429178bc96765ce1ae70a
Author: Kai Pastor <dg0yt@darc.de>
Date:   Fri Aug 21 18:50:17 2020 +0000

    Fix #elif statement

    WITH_FONTCONFIGURATION_WIN32 is either undefined or 1.

 poppler/GlobalParams.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 171bd475f0cc2c98ccd864adf3fd73ecfd4af7cd
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 21 19:55:32 2020 +0200

    qt6: Make inplaceAlign return an enum not an int

 qt6/src/poppler-annotation.cc | 34 +++++++++++++++++++++++++++-------
 qt6/src/poppler-annotation.h  | 11 ++++++++---
 2 files changed, 35 insertions(+), 10 deletions(-)

commit f9480192c02789e687156fd2c297980dde6461ac
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 21 19:44:50 2020 +0200

    qt6: Remove useless A_BASE enum value

 qt6/src/poppler-annotation.h | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit d1bb49c3368fa2c16c43abbc800566bb2905e429
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 21 19:44:27 2020 +0200

    qt6: Make flags method actually return flags and not int

 qt6/src/poppler-annotation-private.h |  4 ++--
 qt6/src/poppler-annotation.cc        | 20 +++++++++++---------
 qt6/src/poppler-annotation.h         |  9 +++++----
 3 files changed, 18 insertions(+), 15 deletions(-)

commit 150e6efa0e9495ffceffbdfbff795bc9ccdf45f7
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Aug 21 15:32:23 2020 +0200

    qt: Document TextAnnotation::inplaceAlign

 qt5/src/poppler-annotation.h | 1 +
 qt6/src/poppler-annotation.h | 3 ++-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 92b3edf32a9f7a3617681135290e9d2ba0205ffb
Author: Jason Crain <jason@inspiresomeone.us>
Date:   Wed Feb 12 19:16:20 2020 -0700

    glib: Add accessor functions for PopplerAttachment

    Issue #715

 glib/demo/annots.c                  |  2 +-
 glib/demo/attachments.c             | 21 ++++++++++-----
 glib/poppler-attachment.cc          | 52
 +++++++++++++++++++++++++++++++++++++
 glib/poppler-attachment.h           | 20 +++++++++++---
 glib/reference/poppler-sections.txt |  4 +++
 5 files changed, 87 insertions(+), 12 deletions(-)

commit b13cd962b59e65846e3a9b18eee8a8b999b0291a
Author: Jason Crain <jason@inspiresomeone.us>
Date:   Fri Jan 3 19:05:57 2020 -0700

    glib: Deprecate PopplerDocument date properties

    PopplerDocument's creation-date and mod-date properties are 32-bit
    unix
    times, a.k.a. GTime, and will overflow in 2038. Deprecate these
    properties and replace with creation-datetime and mod-datetime, which
    are GDateTime instead, and add accessor functions.

    Fixes #765

 glib/demo/info.cc                   |  12 +--
 glib/poppler-document.cc            | 161
 +++++++++++++++++++++++++++++++++++-
 glib/poppler-document.h             |   8 ++
 glib/poppler-private.h              |   1 +
 glib/reference/poppler-sections.txt |   4 +
 5 files changed, 178 insertions(+), 8 deletions(-)

commit c146da765689968ceb09921928152d5ecd5b0956
Author: Jason Crain <jason@inspiresomeone.us>
Date:   Fri Jan 3 18:42:21 2020 -0700

    glib: Deprecate PopplerAttachment GTime fields

    GTime was deprecated in glib 2.62 and will overflow in 2038.

    The PopplerAttachment struct publicly uses GTime for the 'mtime' and
    'ctime' fields. Deprecate these two fields and add accessor functions,
    poppler_attachment_get_ctime and poppler_attachment_get_mtime, which
    retun GDateTime* instead.

    Fixes #765, Related to #715

 glib/demo/attachments.c             | 15 ++++++-----
 glib/poppler-attachment.cc          | 52
 ++++++++++++++++++++++++++++++++-----
 glib/poppler-attachment.h           | 16 ++++++++++++
 glib/poppler-document.cc            | 36 +++++++++++++++++++++++++
 glib/poppler-private.h              |  1 +
 glib/reference/poppler-sections.txt |  2 ++
 6 files changed, 110 insertions(+), 12 deletions(-)

commit d7ead51f00e30d7f660ed5914acc26461beb057d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Aug 19 18:34:44 2020 +0200

    Pretend Opt in Choice forms is inheritable

    The spec doesn't say it is, but Adobe Reader acts like it is,
    so emulate
    its bug (or it's a bug in the spec)

    Fixes KDE bug #425520

 poppler/Form.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 11f83d58fcbd08e648a6b40c2857218fb5ee02a2
Author: Liam Morland <lkmorlan@uwaterloo.ca>
Date:   Mon Aug 17 21:13:16 2020 -0400

    pdftoppm: Document that PDF-file can be - to read it from stdin

 utils/pdftoppm.1 | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit d40cb7cc2e448abb4e3a075df0f47cd8dc9cd93f
Author: Liam Morland <lkmorlan@uwaterloo.ca>
Date:   Mon Aug 17 21:12:25 2020 -0400

    pdftotext: Document that PDF-file can be - to read it from stdin

 utils/pdftotext.1 | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 9f30c65b788ba13ae57cffdae8d6c24aec0244bf
Author: Liam Morland <lkmorlan@uwaterloo.ca>
Date:   Mon Aug 17 21:11:22 2020 -0400

    pdfinfo: Document that PDF-file can be - to read it from stdin

 utils/pdfinfo.1 | 4 ++++
 1 file changed, 4 insertions(+)

commit 4ea3c7159b13b81d5e423adee027e57e4737006f
Author: Liam Morland <lkmorlan@uwaterloo.ca>
Date:   Mon Aug 17 21:10:12 2020 -0400
